<!--
*******************************************************************************
* Copyright (C) 2009-2011, International Business Machines Corporation and    *
* others. All Rights Reserved.                                                *
*******************************************************************************
-->
<project name="translit" default="build" basedir=".">
    <property file="build-local.properties"/>
    <property file="build.properties"/>
    <import file="${shared.dir}/build/common-targets.xml"/>

    <path id="javac.classpathref">
        <path refid="javac.classpathref.${ant.project.name}"/>
    </path>
    <property name="jar.file" value="${icu4j.translit.jar}"/>

    <target name="build" depends="compile, copy, jar" description="Build the project"/>

    <target name="build-all" depends="@build-all" description="Build the project including all dependencies"/>

    <target name="clean" depends="@clean" description="Clean up the build outputs"/>

    <target name="compile" depends="@compile" description="Compile java source files"/>

    <target name="copy" depends="@copy, copy-data" description="Copy non-java runtime files to the project's binary directory"/>

    <target name="jar" depends="compile, copy, @jar" description="Create the project's jar file"/>

    <target name="copy-data" description="Extract pre-built ICU transliteration data files and copy them to the project's binary directory">
        <unjar src="${icu4j.data.jar}" dest="${bin.dir}">
            <patternset includes="${icu4j.data.path}/translit/**"/>
        </unjar>

        <antcall target="@full-locale-names">
            <param name="res.dir" value="${bin.dir}/${icu4j.data.path}/translit"/>
        </antcall>
    </target>

</project>
